
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;


/**
 * The IRPHyperLink interface represents hyperlinks in Rational Rhapsody models.
 */
public interface IRPHyperLink  extends IRPDependency {
	/**
	 * getDisplayOption
	 * @throws RhapsodyRuntimeException
	 */
	public void getDisplayOption(char pVal, String pDisplayName);
	/**
 	 * Returns the target model element if the hyperlink points to a model element.
 	 * @return the model element that the hyperlink points to
 	 */
	public IRPModelElement getTarget();
	/**
 	 * Returns the target URL if the hyperlink points to a URL.
 	 * @return the URL that the hyperlink points to
 	 */
	public String getURL();
	/**
	 * setDisplayOption
	 * @throws RhapsodyRuntimeException
	 */
	public void setDisplayOption(char newVal, String newDisplayName);
	/**
 	 * Sets the specified model element to be the target of the hyperlink.
 	 * @param target the model element that should be used as the target of the hyperlink
 	 */
	public void setTarget(IRPModelElement target);
	/**
 	 * Sets the specified URL to be the target of the hyperlink.
 	 * @param uRL the URL that should be used as the target of the hyperlink
 	 */
	public void setURL(String uRL);
}

